import axios from "@/utils/request";

export function filterDeviceContract(query) {
    return axios(
        {
            url: "/inv/device/contract/filter",
            method: "get",
            params: query
        }
    )
}


export function insertCompanyContract(query) {
    return axios(
        {
            url: "/inv/info/insertDeviceContract",
            method: "post",
            data: query
        }
    );
}

export function updateDeviceContract(query) {
    return axios(
        {
            url: "/inv/info/updateDeviceContract",
            method: "post",
            data: query
        }
    );
}

export function auditSupContract(query) {
    return axios(
        {
            url: "/sale/sup/contract/audit",
            method: "post",
            data: query
        }
    );
}


export function deleteDeviceContract(query) {
    return axios(
        {
            url: "/inv/info/deleteDeviceContract",
            method: "post",
            data: query
        }
    );
}


export function revokeSupContract(query) {
  return axios(
    {
      url: "/sale/sup/contract/revoke",
      method: "post",
      data: query
    }
  );
}




