import axios from "@/utils/request";
export function deviceBusinessProjectPage(query) {
    return axios(
        {
            url: `/udi/device/businessProject/page`,
            method: "POST",
            data: query
        }
    )
}
export function deviceBusinessProjectDetailList(query) {
    return axios(
        {
            url: `/udi/device/businessProject/detailList`,
            method: "POST",
            data: query
        }
    )
}

export function selectNotSelectDevice(query) {
    return axios(
        {
            url: `/udi/device/businessProject/selectNotSelectDevice`,
            method: "POST",
            data: query
        }
    )
}


export function addDeviceProject(query) {
    return axios(
        {
            url: `/udi/device/businessProject/addDeviceProject`,
            method: "POST",
            data: query
        }
    )
}


export function deleteDeviceProject(query) {
    return axios(
        {
            url: `/udi/device/businessProject/deleteDeviceProject`,
            method: "POST",
            data: query
        }
    )
}



export function businessPage(query) {
    return axios(
        {
            url: `/udi/device/businessProject/businessPage`,
            method: "POST",
            data: query
        }
    )
}


export function excelBusinessProjectImport(params) {
  return axios({
    url: "/udi/device/businessProject/exportExcel",
    method: "get",
    responseType: 'blob',
    params: params
  });
}

export function postExcelBusinessProjectImport(data) {
  return axios({
    url: "/udi/device/businessProject/selectExportExcel",
    method: "post",
    responseType: 'blob',
    data: data
  });
}



export function getDeviceBusinessProject(query) {
  return axios(
    {
      url: `/udi/device/businessProject/getDeviceBusinessProject`,
      method: "POST",
      data: query
    }
  )
}



export function downloadDeviceBusinessProject(query) {
  return axios(
    {
      url: `/udi/device/businessProject/downloadDeviceBusinessProject`,
      method: "POST",
      data: query
    }
  )
}
